Envelopes 3 endpoints

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/signature

Retrieves signature information for a signer or sign-in-person recipient.

operationId: Recipients_GetRecipientSignature

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/signature
GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/signature_image

Retrieves the specified user signature image. The image is returned in the same format as uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image.

The userId specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureIdOrName parameter accepts signature ID or signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that don’t properly URL encode. If you use the user name, it is likely that the name includes spaces and you might need to URL encode the name before using it in the endpoint.

For example: “Bob Smith” to “Bob%20Smith”

Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image.

operationId: Recipients_GetRecipientSignatureImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

include_chrome query optional string

When true, the response includes the chromed version of the signature image.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/signature_image
PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/signature_image

Updates the signature image for an accountless signer. The supported image formats for this file are: gif, png, jpeg, and bmp. The file size must be less than 200K.

For the Authentication/Authorization for this call, the credentials must match the sender of the envelope, the recipient must be an accountless signer or in person signer. The account must have the CanSendEnvelope property set to true and the ExpressSendOnly property in SendingUser structure must be set to false.

operationId: Recipients_PutRecipientSignatureImage

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

envelopeId path required string

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientId path required string

A local reference used to map
recipients to other objects, such as specific
document tabs.

A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.

For example, many envelopes assign the first recipient
a recipientId of 1.

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/signature_image

Favoritetemplates 3 endpoints

DELETE /v2.1/accounts/{accountId}/favorite_templates

Remove one or more templates from the account favorites.

Your request should include each template to remove as a separate favoriteTemplatesContentItem JSON object, like this:

{
    "favoriteTemplates": [
        {
            "templateId": "6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1"
        },
        {
            "templateId": "8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f"
        }
    ]
}

The response includes the IDs of the templates that were successfully removed from your favorites. To get the account’s remaining favorite templates, use the getFavoriteTemplates endpoint.

operationId: FavoriteTemplates_UnFavoriteTemplate

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/favoriteTemplatesInfo

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/favorite_templates
GET /v2.1/accounts/{accountId}/favorite_templates

Retrieves the list of favorite templates for the account.

operationId: FavoriteTemplates_GetFavoriteTemplates

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/favorite_templates
PUT /v2.1/accounts/{accountId}/favorite_templates

Set one or more templates as account favorites.

Your request should include each template as a separate favoriteTemplatesContentItem JSON object, like this:

{
    "favoriteTemplates": [
        {
            "templateId": "6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1"
        },
        {
            "templateId": "8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f"
        }
    ]
}
operationId: FavoriteTemplates_PutFavoriteTemplate

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/favoriteTemplatesInfo

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/favorite_templates

Folders 4 endpoints

GET /v2.1/accounts/{accountId}/folders

Returns a list of the account’s folders.

Use the include query parameter to specify the kinds of folders to return.

By default, only the first level of subfolders is shown.
Set the sub_folder_depth query parameter to -1 to return the entire folder hierarchy.

Default returns only top-level folders. Click to show.
`GET 'https://demo.docusign.net/restapi/v2.1/accounts/624e3e00-xxxx-xxxx-xxxx-43918c520dab/folders'` ```json { "resultSetSize": "5", "startPosition": "0", "endPosition": "4", "totalSetSize": "5", "folders": [ { "name": "Draft", "type": "draft", "itemCount": "1", "subFolderCount": "0", "hasSubFolders": "false" }, { "name": "Inbox", "type": "inbox", "itemCount": "0", "subFolderCount": "1", "hasSubFolders": "true", "folders": [ { "name": "Project Fair", "type": "normal", "hasSubFolders": "false", "parentFolderId": "3ed02ee3-xxxx-xxxx-xxxx-e6795f96a840", "parentFolderUri": "/folders/3ed02ee3-xxxx-xxxx-xxxx-e6795f96a840" } ] }, { "name": "Deleted Items", "type": "recyclebin", "itemCount": "0", "subFolderCount": "0", "hasSubFolders": "false" }, { "name": "Sent Items", "type": "sentitems", "itemCount": "3", "subFolderCount": "0", "hasSubFolders": "false" } ] } ```
Setting `sub_folder_depth` to `-1` returns the entire folder hierarchy. Click to show.
`GET 'https://demo.docusign.net/restapi/v2.1/accounts/624e3e00-xxxx-xxxx-xxxx-43918c520dab/folders?sub_folder_depth=-1'` One envelope has been moved from the `Inbox` folder to the `Project Fair/Phase 1` folder, and the endpoint is invoked with `sub_folder_depth=-1`. ```json { "resultSetSize": "5", "startPosition": "0", "endPosition": "4", "totalSetSize": "4", "folders": [ { "name": "Draft", "type": "draft", "itemCount": "1", "hasSubFolders": "false" }, { "name": "Inbox", "type": "inbox", "itemCount": "0", "hasSubFolders": "true", "folders": [ { "name": "Project Fair", "type": "normal", "itemCount": "0", "hasSubFolders": "true", "parentFolderId": "3ed02ee3-xxxx-xxxx-xxxx-e6795f96a840", "parentFolderUri": "/folders/3ed02ee3-xxxx-xxxx-xxxx-e6795f96a840", "folders": [ { "name": "NDAs", "type": "normal", "itemCount": "0", "hasSubFolders": "false", "parentFolderId": "12882f2f-xxxx-xxxx-xxxx-e04a714f8e2d", "parentFolderUri": "/folders/12882f2f-xxxx-xxxx-xxxx-e04a714f8e2d" }, { "name": "Phase 1", "type": "normal", "itemCount": "1", "hasSubFolders": "false", "parentFolderId": "12882f2f-xxxx-xxxx-xxxx-e04a714f8e2d", "parentFolderUri": "/folders/12882f2f-xxxx-xxxx-xxxx-e04a714f8e2d" } ] } ] }, { "name": "Deleted Items", "type": "recyclebin", "itemCount": "0", "hasSubFolders": "false" }, { "name": "Sent Items", "type": "sentitems", "itemCount": "1", "hasSubFolders": "false" } ] } ```

Related topics

operationId: Folders_GetFolders

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

count query optional string

The maximum number of results to return.

include query optional string

A comma-separated list of folder types to include in the response.
Valid values are:

  • envelope_folders: Returns a list of envelope folders. (Default)
  • template_folders: Returns a list of template folders.
  • shared_template_folders: Returns a list of shared template folders.
include_items query optional string

Indicates whether folder items are included in the response. If this parameter is omitted, the default is false.

start_position query optional string

The zero-based index of the
result from which to start returning results.

The default value is 0.

sub_folder_depth query optional string

If missing or any value other than -1, the returned list contains only the top-level folders.
A value of -1 returns the complete folder hierarchy.

template query optional string

This parameter is deprecated as of version 2.1. Use include instead.

user_filter query optional string

Narrows down the resulting folder list by the following values:

  • all: Returns all templates owned or shared with the user. (default)
  • owned_by_me: Returns only templates the user owns.
  • shared_with_me: Returns only templates that are shared with the user.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/folders
GET /v2.1/accounts/{accountId}/folders/{folderId}

Gets information about items in the specified folder.

To include a list of the items in the folder, set the include_items query parameter to true.

Related topics

operationId: Folders_GetFolderItems

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

folderId path required string

The ID of the folder.

from_date query optional string

Reserved for DocuSign.

include_items query optional string

Indicates whether folder items are included in the response. If this parameter is omitted, the default is false.

owner_email query optional string

Reserved for DocuSign.

owner_name query optional string

Reserved for DocuSign.

search_text query optional string

Reserved for DocuSign.

start_position query optional string

Reserved for DocuSign.

status query optional string

Reserved for DocuSign.

to_date query optional string

Reserved for DocuSign.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/folders/{folderId}
PUT /v2.1/accounts/{accountId}/folders/{folderId}

Moves a set of envelopes from their current folder to another folder.

The folderId path parameter is the destination folder.
The request body has an array of envelope IDs and the
ID of the source folder.

Do not use the folders property in the request body.

If folderId is the special value recyclebin
the envelopes are moved to the Deleted folder.
Moving an in-process envelope
(envelope status of sent or delivered)
to the recyclebin
voids the envelope.

Related topics

operationId: Folders_PutFolderById

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

folderId path required string

The ID of the folder.

Request Body

application/json
schema foldersRequest
Property Type Required
folders array optional
uri string optional
name string optional
type string optional
owner object optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
message string optional
errorCode string optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
filter object optional
order string optional
status string optional
expires string optional
orderBy string optional
folderIds string optional
isTemplate string optional
searchText string optional
toDateTime string optional
fromDateTime string optional
searchTarget string optional
actionRequired string optional
folders array optional
folderId string optional
hasAccess string optional
itemCount string optional
folderItems array optional
status string optional
subject string optional
folderId string optional
folderUri string optional
ownerName string optional
envelopeId string optional
recipients object optional
seals array optional
agents array optional
editors array optional
signers array optional
notaries array optional
witnesses array optional
carbonCopies array optional
errorDetails object optional
participants array optional
intermediaries array optional
recipientCount string optional
inPersonSigners array optional
certifiedDeliveries array optional
currentRoutingOrder string optional
senderName string optional
templateId string optional
envelopeUri string optional
senderEmail string optional
templateUri string optional
senderUserId string optional
sentDateTime string optional
is21CFRPart11 string optional
recipientsUri string optional
senderCompany string optional
expireDateTime string optional
createdDateTime string optional
completedDateTime string optional
…1 more object optional
errorDetails object optional
message string optional
errorCode string optional
hasSubFolders string optional
parentFolderId string optional
subFolderCount string optional
parentFolderUri string optional
envelopeIds array optional
fromFolderId string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/folders/{folderId}
GET /v2.1/accounts/{accountId}/search_folders/{searchFolderId}
This method is deprecated in API v2.1 Use [Envelopes: listStatusChanges](https://raw.githubusercontent.com) instead.

Retrieves a list of items that match the criteria specified in the query.

If the user ID of the user making the call is the
same as the user ID for any returned recipient,
then the userId property is added to the returned
information for those recipients.

operationId: SearchFolders_GetSearchFolderContents

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

searchFolderId path required string

Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature.

all query optional string

Specifies that all envelopes that match the criteria are returned.

count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 100

from_date query optional string

Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days.

include_recipients query optional string

When true, the recipient information is returned in the response.

order query optional string

Specifies the order in which the list is returned. Valid values are: asc for ascending order, and desc for descending order.

order_by query optional string

Specifies the property used to sort the list. Valid values are: action_required, created, completed, sent, signer_list, status, or subject.

start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

to_date query optional string

Specifies the end of the date range to return.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/search_folders/{searchFolderId}

Groupbrands 3 endpoints

DELETE /v2.1/accounts/{accountId}/groups/{groupId}/brands

This method deletes one or more brands from a group.

operationId: Brands_DeleteGroupBrands

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

groupId path required string

The ID of the group.

Request Body

#/components/requestBodies/brandsRequest

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/groups/{groupId}/brands
GET /v2.1/accounts/{accountId}/groups/{groupId}/brands

This method returns information about the brands associated with a group.

operationId: Brands_GetGroupBrands

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

groupId path required string

The ID of the group.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/groups/{groupId}/brands
PUT /v2.1/accounts/{accountId}/groups/{groupId}/brands

This method adds one or more existing brands to a group based on the groupId.

operationId: Brands_PutGroupBrands

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

groupId path required string

The ID of the group being accessed.

Request Body

#/components/requestBodies/brandsRequest

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/groups/{groupId}/brands

Groupusers 3 endpoints

DELETE /v2.1/accounts/{accountId}/groups/{groupId}/users

Deletes one or more users from a group. This request takes a userInfoList that contains the users that you want to delete.

operationId: Groups_DeleteGroupUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

groupId path required string

The ID of the group being accessed.

Request Body

#/components/requestBodies/userInfoList

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/groups/{groupId}/users
GET /v2.1/accounts/{accountId}/groups/{groupId}/users

Retrieves a list of users in a group.

operationId: Groups_GetGroupUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

groupId path required string

The ID of the group being accessed.

count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 100

start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/groups/{groupId}/users
PUT /v2.1/accounts/{accountId}/groups/{groupId}/users

Adds one or more existing DocuSign users to an existing group.

operationId: Groups_PutGroupUsers

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

groupId path required string

The ID of the group being accessed.

Request Body

#/components/requestBodies/userInfoList

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/groups/{groupId}/users

Groups 4 endpoints

DELETE /v2.1/accounts/{accountId}/groups

Deletes an existing user group.

When you delete a group, you include only the groupId in the request body.

Example:

{
  "groups": [
    {
      "groupId": "12345"
    }
}
operationId: Groups_DeleteGroups

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/groupInformation

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/groups
GET /v2.1/accounts/{accountId}/groups

Gets information about groups associated with the account.

To get the users in a group: 1. Use this endpoint to get the group ID. 2. Use [listGroupUsers](https://raw.githubusercontent.com) to get the list of users.

Related topics

operationId: Groups_GetGroups

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

count query optional string

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 100

group_type query optional string

The type of group to return. Valid values:

  • AdminGroup
  • CustomGroup
  • EveryoneGroup
include_usercount query optional string

When true, every group returned in the response includes a userCount property that contains the total number of users in the group. The default is true.

search_text query optional string

Filters the results of a GET request based on the text that you specify.

start_position query optional string

The zero-based index of the
result from which to start returning results.

Use with count to limit the number
of results.

The default value is 0.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/groups
POST /v2.1/accounts/{accountId}/groups

Creates one or more groups for the account.

Groups help you manage users.
For example, you can use groups
to limit user access to templates.

You can associate a group with a
permission profile,
which sets the user permissions for users in that group
without having to set the userSettings property for each user.
You are not required to set permission profiles for a group,
but it makes it easier to manage user permissions
for a large number of users.

This endpoint uses only the groupName and permissionProfileId properties in the request body. All other properties are ignored.

Example request:

{
  "groups": [
    { "groupName": "montagues" },
    { "groupName": "capulets" },
    { "groupName": "nobles",
       "permissionProfileId": 1597 }
  ]
}

Use AccountPermissionProfiles: list
to get a list of permission profiles and their IDs.
It is an error if the permissionProfileId does not exist.

Related topics

operationId: Groups_PostGroups

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/groupInformation

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/groups
PUT /v2.1/accounts/{accountId}/groups

Updates the group name and modifies, or sets, the permission profile for the group.

Related topics

operationId: Groups_PutGroups

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/groupInformation

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/groups

Identityverifications 1 endpoints

GET /v2.1/accounts/{accountId}/identity_verification

This method returns a list of Identity Verification workflows that are available to an account.

Note: To use this method, you must either be an account administrator or a sender.

Related topics

operationId: AccountIdentityVerification_GetAccountIdentityVerification

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

identity_verification_workflow_status query optional string

Filters the workflows returned according to status. Valid values:

  • active: Only active workflows are returned. This is the default.
  • deactivated: Only deactivated workflows are returned.
  • all: All workflows are returned.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/identity_verification

Invoices 3 endpoints

GET /v2.1/accounts/{accountId}/billing_invoices

Retrieves a list of invoices for the account. If the from date or to date queries are not specified, the response returns invoices for the last 365 days.

Privileges required: account administrator

operationId: BillingInvoices_GetBillingInvoices

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

from_date query optional string

Specifies the date/time of the earliest invoice in the account to retrieve.

to_date query optional string

Specifies the date/time of the latest invoice in the account to retrieve.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/billing_invoices
GET /v2.1/accounts/{accountId}/billing_invoices/{invoiceId}

Retrieves the specified invoice.

Note: If the pdfAvailable property in the response is set to true, you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the Accept property in the header to Accept: application/pdf.

Privileges required: account administrator

The response returns a list of charges and information about the charges. Quantities are usually shown as ‘unlimited’ or an integer. Amounts are shown in the currency set for the account.

Response
The following table provides a description of the different chargeName property values. The information will grow as more chargeable items are added to the system.

chargeName Description
id_check ID Check Charge
in_person_signing In Person Signing charge
envelopes Included Sent Envelopes for the account
age_verify Age verification check
ofac OFAC Check
id_confirm ID confirmation check
student_authentication STAN PIN authentication check
wet_sign_fax Pages for returning signed documents by fax
attachment_fax Pages for returning attachments by fax
phone_authentication Phone authentication charge
powerforms PowerForm envelopes sent
signer_payments Payment processing charge
outbound_fax Send by fax charge
bulk_recipient_envelopes Bulk Recipient Envelopes sent
sms_authentications SMS authentication charge
saml_authentications SAML authentication charge
express_signer_certificate DocuSign Express Certificate charge
personal_signer_certificate Personal Signer Certificate charge
safe_certificate SAFE BioPharma Signer Certificate charge
seats Included active seats charge
open_trust_certificate OpenTrust Signer Certificate charge
operationId: BillingInvoices_GetBillingInvoice

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

invoiceId path required string

The ID of the invoice.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/billing_invoices/{invoiceId}
GET /v2.1/accounts/{accountId}/billing_invoices_past_due

Returns a list past due invoices for the account and notes if payment can be made through the REST API.

Privileges Required: account administrator

operationId: BillingInvoices_GetBillingInvoicesPastDue

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/billing_invoices_past_due

Notary 3 endpoints

GET /v2.1/current_user/notary

Gets settings for a notary user.
The current user must be a notary.

operationId: Notary_GetNotary

Parameters

Name In Required Type Description
include_jurisdictions query optional string

When true, the response will include a jurisdiction property that contains an array of all supported jurisdictions for the current user.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/current_user/notary
POST /v2.1/current_user/notary

Registers the current user as a notary.

operationId: Notary_PostNotary

Request Body

#/components/requestBodies/notary

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/current_user/notary
PUT /v2.1/current_user/notary

Updates notary information for the current user.

operationId: Notary_PutNotary

Request Body

#/components/requestBodies/notary

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/current_user/notary

Notaryjournals 1 endpoints

GET /v2.1/current_user/notary/journals
operationId: NotaryJournals_GetNotaryJournals

Parameters

Name In Required Type Description
count query optional string

The maximum number of results to return.

search_text query optional string

Use this parameter to search for specific text.

start_position query optional string

The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/current_user/notary/journals

Notaryjurisdiction 5 endpoints

GET /v2.1/current_user/notary/jurisdictions

Returns a list of jurisdictions that the notary is registered in.
The current user must be a notary.

operationId: NotaryJurisdictions_GetNotaryJurisdictions

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/current_user/notary/jurisdictions
POST /v2.1/current_user/notary/jurisdictions

Creates a jurisdiction object.

operationId: NotaryJurisdictions_PostNotaryJurisdictions

Request Body

#/components/requestBodies/notaryJurisdiction

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/current_user/notary/jurisdictions
DELETE /v2.1/current_user/notary/jurisdictions/{jurisdictionId}

Deletes the specified jurisdiction.

operationId: NotaryJurisdictions_DeleteNotaryJurisdiction

Parameters

Name In Required Type Description
jurisdictionId path required string

The ID of the jurisdiction.
The following jurisdictions
are supported:

  • 5 - California
  • 6 - Colorado
  • 9 - Florida
  • 10 - Georgia
  • 12 - Idaho
  • 13 - Illinois
  • 14 - Indiana
  • 15 - Iowa
  • 17 - Kentucky
  • 23 - Minnesota
  • 25 - Missouri
  • 30 - New Jersey
  • 32 - New York
  • 33 - North Carolina
  • 35 - Ohio
  • 37 - Oregon
  • 38 - Pennsylvania
  • 40 - South Carolina
  • 43 - Texas
  • 44 - Utah
  • 47 - Washington
  • 48 - West Virginia
  • 49 - Wisconsin
  • 62 - Florida Commissioner of Deeds

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/current_user/notary/jurisdictions/{jurisdictionId}
GET /v2.1/current_user/notary/jurisdictions/{jurisdictionId}

Gets a jurisdiction object for the current user. The following restrictions apply:

  • The current user must be a notary.
  • The jurisdictionId must be a jurisdiction that the notary is registered for.
operationId: NotaryJurisdictions_GetNotaryJurisdiction

Parameters

Name In Required Type Description
jurisdictionId path required string

The ID of the jurisdiction.
The following jurisdictions
are supported:

  • 5 - California
  • 6 - Colorado
  • 9 - Florida
  • 10 - Georgia
  • 12 - Idaho
  • 13 - Illinois
  • 14 - Indiana
  • 15 - Iowa
  • 17 - Kentucky
  • 23 - Minnesota
  • 25 - Missouri
  • 30 - New Jersey
  • 32 - New York
  • 33 - North Carolina
  • 35 - Ohio
  • 37 - Oregon
  • 38 - Pennsylvania
  • 40 - South Carolina
  • 43 - Texas
  • 44 - Utah
  • 47 - Washington
  • 48 - West Virginia
  • 49 - Wisconsin
  • 62 - Florida Commissioner of Deeds

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/current_user/notary/jurisdictions/{jurisdictionId}
PUT /v2.1/current_user/notary/jurisdictions/{jurisdictionId}

Updates the jurisdiction information about a notary.

The following restrictions apply:

  • The current user must be a notary.
  • The jurisdictionId path parameter must be a jurisdiction that the notary is registered for.
  • The jurisdictionId path parameter must match the request body’s jurisdiction.jurisdictionId.

The request body must have a full jurisdiction object for the jurisdiction property.
The best way to do this is to use getNotaryJurisdiction to obtain the current values and update the properties you want to change.

For example, assume getNotaryJurisdiction returns this:

{
    "jurisdiction": {
        "jurisdictionId": "15",
        "name": "Iowa",
        "county": "",
        "enabled": "true",
        "countyInSeal": "false",
        "commissionIdInSeal": "true",
        "stateNameInSeal": "true",
        "notaryPublicInSeal": "true",
        "allowSystemCreatedSeal": "true",
        "allowUserUploadedSeal": "false"
    },
    "commissionId": "123456",
    "commissionExpiration": "2020-08-31T07:00:00.0000000Z",
    "registeredName": "Bob Notary",
    "county": "Adams",
    "sealType": "system_created"
}

If you want to change the name of the notary from “Bob Notary” to “Robert Notary”, your request body would be:

{
    "jurisdiction": {
        "jurisdictionId": "15",
        "name": "Iowa",
        "county": "",
        "enabled": "true",
        "countyInSeal": "false",
        "commissionIdInSeal": "true",
        "stateNameInSeal": "true",
        "notaryPublicInSeal": "true",
        "allowSystemCreatedSeal": "true",
        "allowUserUploadedSeal": "false"
    },
    "commissionId": "123456",
    "commissionExpiration": "2020-08-31T07:00:00.0000000Z",
    "registeredName": "Robert Notary",
    "county": "Adams",
    "sealType": "system_created"
}
operationId: NotaryJurisdictions_PutNotaryJurisdiction

Parameters

Name In Required Type Description
jurisdictionId path required string

The ID of the jurisdiction.
The following jurisdictions
are supported:

  • 5 - California
  • 6 - Colorado
  • 9 - Florida
  • 10 - Georgia
  • 12 - Idaho
  • 13 - Illinois
  • 14 - Indiana
  • 15 - Iowa
  • 17 - Kentucky
  • 23 - Minnesota
  • 25 - Missouri
  • 30 - New Jersey
  • 32 - New York
  • 33 - North Carolina
  • 35 - Ohio
  • 37 - Oregon
  • 38 - Pennsylvania
  • 40 - South Carolina
  • 43 - Texas
  • 44 - Utah
  • 47 - Washington
  • 48 - West Virginia
  • 49 - Wisconsin
  • 62 - Florida Commissioner of Deeds

Request Body

#/components/requestBodies/notaryJurisdiction

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/current_user/notary/jurisdictions/{jurisdictionId}

Paymentgatewayaccounts 1 endpoints

GET /v2.1/accounts/{accountId}/payment_gateway_accounts

This method returns a list of payment gateway accounts and basic information about them.

operationId: PaymentGatewayAccounts_GetAllPaymentGatewayAccounts

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/payment_gateway_accounts

Payments 3 endpoints

GET /v2.1/accounts/{accountId}/billing_payments

Retrieves a list containing information about one or more payments. If the from date or to date queries are not used, the response returns payment information for the last 365 days.

Privileges required: account administrator

operationId: BillingPayments_GetPaymentList

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

from_date query optional string

Specifies the date/time of the earliest payment in the account to retrieve.

to_date query optional string

Specifies the date/time of the latest payment in the account to retrieve.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/billing_payments
POST /v2.1/accounts/{accountId}/billing_payments

Posts a payment to a past due invoice.

This method can only be used if the paymentAllowed value for a past due invoice is true. This can be determined calling Billing::listInvoicesPastDue.

The response returns information for a single payment
if a payment ID was used in the endpoint, or a list of payments.
If the from date or to date queries or payment ID are not used,
the response returns payment information for the last 365 days.

If the request was for a single payment ID, the nextUri and previousUri properties are not returned.

Privileges required: account administrator

operationId: BillingPayments_PostPayment

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

application/json
schema billingPaymentRequest
Property Type Required
paymentAmount string optional

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/billing_payments
GET /v2.1/accounts/{accountId}/billing_payments/{paymentId}

Retrieves the information for a specified payment.

Privileges required: account administrator

operationId: BillingPayments_GetPayment

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

paymentId path required string

The ID of the payment.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/billing_payments/{paymentId}

Powerformdata 1 endpoints

GET /v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_data

This method enables Powerform Administrators or the sender of a PowerForm to download the data that recipients have entered into a PowerForm.

You specify the format in which you want to retrieve the data in the Accept header. This header accepts the following values:

  • application/json: JSON format
  • application/xml: XML format
  • text/csv: Comma-separated value (CSV) format

Note: Only PowerForm Administrators or the PowerForm Sender can download the data associated with a PowerForm.

operationId: PowerForms_GetPowerFormFormData

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

powerFormId path required string

The ID of the PowerForm.

data_layout query optional string

The layout in which to return the PowerForm data. Valid values are:

  • Native
  • Csv_Classic
  • Csv_One_Envelope_Per_Line
  • Xml_Classic
from_date query optional string

The start date for a date range in UTC DateTime format.

Note: If this property is null, no date filtering is applied.

to_date query optional string

The end date of a date range in UTC DateTime format. The default value is UtcNow.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_data

Powerforms 7 endpoints

DELETE /v2.1/accounts/{accountId}/powerforms

This method deletes one or more PowerForms. The request body takes an array of PowerForm objects that are deleted based on the powerFormId.

operationId: PowerForms_DeletePowerFormsList

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

application/json
schema powerFormsRequest
Property Type Required
powerForms array optional
uri string optional
name string optional
isActive string optional
lastUsed string optional
createdBy string optional
emailBody string optional
envelopes array optional
holder string optional
sender object optional
uri string optional
email string optional
userId string optional
userName string optional
userType string optional
accountId string optional
ipAddress string optional
userStatus string optional
accountName string optional
loginStatus string optional
errorDetails object optional
membershipId string optional
sendActivationEmail string optional
activationAccessCode string optional
status string optional
brandId string optional
folders array optional
uri string optional
name string optional
type string optional
owner object optional
filter object optional
folders array optional
folderId string optional
hasAccess string optional
itemCount string optional
folderItems array optional
errorDetails object optional
hasSubFolders string optional
parentFolderId string optional
subFolderCount string optional
parentFolderUri string optional
location string optional
workflow object optional
resumeDate string optional
workflowSteps array optional
workflowStatus string optional
scheduledSending object optional
currentWorkflowStepId string optional
anySigner string optional
brandLock string optional
powerForm object optional
emailBlurb string optional
envelopeId string optional
hasWavFile string optional
purgeState string optional
recipients object optional
seals array optional
agents array optional
editors array optional
signers array optional
notaries array optional
witnesses array optional
carbonCopies array optional
errorDetails object optional
participants array optional
intermediaries array optional
recipientCount string optional
inPersonSigners array optional
certifiedDeliveries array optional
currentRoutingOrder string optional
allowMarkup string optional
envelopeUri string optional
expireAfter string optional
hasComments string optional
messageLock string optional
…59 more object optional
timesUsed string optional
recipients array optional
name string optional
email string optional
roleName string optional
accessCode string optional
emailLocked string optional
routingOrder string optional
recipientType string optional
userNameLocked string optional
idCheckRequired string optional
accessCodeLocked string optional
accessCodeRequired string optional
idCheckConfigurationName string optional
templateRequiresIdLookup string optional
senderName string optional
templateId string optional
powerFormId string optional
signingMode string optional
emailSubject string optional
errorDetails object optional
message string optional
errorCode string optional
instructions string optional
powerFormUrl string optional
senderUserId string optional
templateName string optional
maxUseEnabled string optional
…5 more object optional

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/powerforms
GET /v2.1/accounts/{accountId}/powerforms

This method returns a list of PowerForms that are available to the user.

operationId: PowerForms_GetPowerFormsList

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

from_date query optional string

The start date for a date range.

Note: If no value is provided, no date filtering is applied.

order query optional string

The order in which to sort the results.

Valid values are:

  • asc: Ascending order.
  • desc: Descending order.
order_by query optional string

The file attribute to use to sort the results.

Valid values are:

  • sender
  • auth
  • used
  • remaining
  • lastused
  • status
  • type
  • templatename
  • created
search_fields query optional string

A comma-separated list of additional properties to include in a search.

  • sender: Include sender name and email in the search.
  • recipients: Include recipient names and emails in the search.
  • envelope: Include envelope information in the search.
search_text query optional string

Use this parameter to search for specific text.

to_date query optional string

The end date for a date range.

Note: If no value is provided, this property defaults to the current date.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/powerforms
POST /v2.1/accounts/{accountId}/powerforms

This method creates a new PowerForm.

You create a PowerForm from an existing DocuSign template, based on the templateId in the request body.

PowerForms that you create from a template are referred to as web PowerForms.

Note: The DocuSign Admin console also supports creating a PowerForm by uploading a PDF file that has active form fields (referred to as a PDF PowerForm). However, PDF PowerForms are deprecated and are not supported in the API.

Note: A PowerForm can have only one sender. (Because PowerForms are not necessarily sent by email, this user is also referred to as the PowerForm initiator.) If you need to associate multiple senders with a PowerForm, create multiple copies of the PowerForm by using the same template (one copy for each sender). By default, the sender is the PowerForm Administrator who creates the PowerForm.

Signing modes

You can use one of the following signing modes for a PowerForm:

email

This mode verifies the recipient’s identity by using email authentication before the recipient can sign a document. The recipient enters their email address on the landing page and then clicks Begin Signing to begin the signing process. The system then sends an email message with a validation code to the recipient. If the recipient does not provide a valid email address, they do not receive the email message containing the access code and are not able to open and sign the document.

Alternatively, you can make the process easier for signers by using email authentication only and omitting the access code. To do this, you append the activateonly flag to the PowerForm URL and set it to true by passing in the value 1. When the flag is active, the first recipient receives an email with a link that initiates the signing session without having to enter access code.

Example: activateonly=1

direct

This mode does not require any verification. After a recipient enters their email address on the landing page and clicks Begin Signing, a new browser tab opens and the recipient can immediately begin the signing process.

Because the direct signing mode does not verify the recipient’s identity by using email authentication, we strongly recommend that you use this mode only when the PowerForm is accessible behind a secure portal where the recipient’s identity is already authenticated, or where another form of authentication is specified for the recipient in the DocuSign template (for example, an access code, phone authentication, or ID check).

Note: In the account settings, enablePowerFormDirect must be true to use direct as the signingMode.

Redirect URLs

You can control the URL to which signers are redirected after signing your PowerForm. However, the URL is specified elsewhere, outside of the PowerForm creation process. For details, see How do I specify a URL to redirect to when a PowerForm is completed?.

More information

For more information about creating PowerForms, see Create a PowerForm.

operationId: PowerForms_PostPowerForm

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

Request Body

#/components/requestBodies/powerForm

Responses

201

Successful response.

400

Error encountered.

POST /v2.1/accounts/{accountId}/powerforms
GET /v2.1/accounts/{accountId}/powerforms/senders

This method returns a list of users who have sent PowerForms.

operationId: PowerForms_GetPowerFormsSenders

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

start_position query optional string

The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/powerforms/senders
DELETE /v2.1/accounts/{accountId}/powerforms/{powerFormId}

This method deletes a PowerForm.

operationId: PowerForms_DeletePowerForm

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

powerFormId path required string

The ID of the PowerForm.

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/accounts/{accountId}/powerforms/{powerFormId}
GET /v2.1/accounts/{accountId}/powerforms/{powerFormId}

This method returns detailed information about a specific PowerForm.

operationId: PowerForms_GetPowerForm

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

powerFormId path required string

The ID of the PowerForm.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/accounts/{accountId}/powerforms/{powerFormId}
PUT /v2.1/accounts/{accountId}/powerforms/{powerFormId}

This method updates an existing PowerForm.

operationId: PowerForms_PutPowerForm

Parameters

Name In Required Type Description
accountId path required string

The external account number (int) or account ID GUID.

powerFormId path required string

The ID of the PowerForm.

Request Body

#/components/requestBodies/powerForm

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/accounts/{accountId}/powerforms/{powerFormId}

Requestlogs 5 endpoints

DELETE /v2.1/diagnostics/request_logs

Deletes the request log files.

operationId: APIRequestLog_DeleteRequestLogs

Responses

200

Successful response.

400

Error encountered.

DELETE /v2.1/diagnostics/request_logs
GET /v2.1/diagnostics/request_logs

Retrieves a list of log entries as a JSON or XML object or as a zip file containing the entries.

If the Accept header is set to application/zip, the response is a zip file containing individual text files, each representing an API request.

If the Accept header is set to application/json or application/xml, the response returns list of log entries in either JSON or XML. An example JSON response body is shown below.

operationId: APIRequestLog_GetRequestLogs

Parameters

Name In Required Type Description
encoding query optional string

Reserved for DocuSign.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/diagnostics/request_logs
GET /v2.1/diagnostics/request_logs/{requestLogId}

Retrieves information for a single log entry.

Request
The requestLogId property can be retrieved by getting the list of log entries. The Content-Transfer-Encoding header can be set to base64 to retrieve the API request/response as base 64 string. Otherwise the bytes of the request/response are returned.

Response
If the Content-Transfer-Encoding header was set to base64, the log is returned as a base64 string.

operationId: APIRequestLog_GetRequestLog

Parameters

Name In Required Type Description
requestLogId path required string

The ID of the log entry.

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/diagnostics/request_logs/{requestLogId}
GET /v2.1/diagnostics/settings

Retrieves the current API request logging setting for the user and remaining log entries.

Response
The response includes the current API request logging setting for the user, along with the maximum log entries and remaining log entries.

operationId: APIRequestLog_GetRequestLogSettings

Responses

200

Successful response.

400

Error encountered.

GET /v2.1/diagnostics/settings
PUT /v2.1/diagnostics/settings

Enables or disables API request logging for troubleshooting.

When enabled (apiRequestLogging is true),
REST API requests and responses for the user are added to a log.
A log can have up to 50 requests/responses
and the current number of log entries can be determined
by getting the settings.
Logging is automatically disabled when the log limit of 50 is reached.

You can call
Diagnostics: getRequestLog
or
Diagnostics: listRequestLogs
to download the log files (individually or as a zip file).
Call Diagnostics: deleteRequestLogs
to clear the log by deleting current entries.

Private information, such as passwords and integration key information,
which is normally located in the call header is omitted from the request/response log.

API request logging only captures requests from the authenticated user.
Any call that does not authenticate the user and resolve a userId is not logged.

operationId: APIRequestLog_PutRequestLogSettings

Request Body

application/json
schema diagnosticsSettingsInformation
Property Type Required
apiRequestLogging string optional
apiRequestLogMaxEntries string optional
apiRequestLogRemainingEntries string optional

Responses

200

Successful response.

400

Error encountered.

PUT /v2.1/diagnostics/settings
Load more endpoints